/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef AUTHORSTRING_H
#define AUTHORSTRING_H

#include <QRegExp>
#include <QString>
#include <QStringList>

/*!
    @author Pere Constans
*/
class authorString : public QString
{
public:
    authorString(QString Alist, bool full_form = 0);
    ~authorString();

    QString bib() const;

private:
    bool authorsInUC;
    bool containLowerCaseLetter(QString);
    bool containUpperCaseLetter(QString);
    bool fullForm;
    bool RevName(QString);
    const QString capitalize(const QString& name);
    const QString processFirstMiddle(const QString& first_middle);
    QString authors;
    QString toBib(QString);

};

#endif
