/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef C2BHIGHLIGHTER_H
#define C2BHIGHLIGHTER_H

#include <QSyntaxHighlighter>


/*!
    clipboard SyntaxHighLighter

    @author Pere Constans
*/

class c2bColors;

class c2bHighlighter : public QSyntaxHighlighter
{

public:
    c2bHighlighter(QTextEdit *textEdit);
    ~c2bHighlighter();


protected:
    virtual void highlightBlock(const QString & text);


private:
    QColor text_color;
    QRegExp rx0;
    QRegExp rx1;
    QRegExp rx2;
    QRegExp rx3;
    QRegExp rx4;
    QRegExp rx5;
    QRegExp rx6;
    QRegExp rx_extracted_ends;
    QRegExp rx_extracted_starts;
    c2bColors* c;

};

#endif
