/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef C2BPOSTPROCESS_H
#define C2BPOSTPROCESS_H

#include "ui_c2bPostprocess.h"

#include <QDialog>

class QProcess;


class c2bPostprocess : public QDialog
{

    Q_OBJECT

public:
    c2bPostprocess(const QString& fn, QWidget* parent = 0);
    ~c2bPostprocess();


protected:
    void PProcessFile();
    void addToLog();


protected slots:
    void conversionEnded();
    void help();
    void openFile();


private:
    QProcess* ppBibTeX;
    QPushButton* buttonOpenFile;
    QString PPBIBTEX_ARG;
    QString PPBIBTEX_BIN;
    QString PPBIBTEX_EXT;
    QString bib;
    QString out;
    Ui::c2bPostprocess ui;

};

#endif
