/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef C2BPREPROCESS_H
#define C2BPREPROCESS_H

#include <QObject>
#include <QStringList>


/*!
    @author Pere Constans
*/
class c2bPreprocess : public QObject
{
    Q_OBJECT
public:
    c2bPreprocess(QObject* parent = 0);
    ~c2bPreprocess();


public:
    QString& preprocStream(QString& inp);


public slots:
    void loadSettings();


private:
    bool FindReplaceInput;
    QObject* pObject;
    QStringList FindReplaceInputList;

};

#endif
