FORMS += c2bBibPreparser_Log.ui \
         c2bConfigure.ui \
         c2bConfigure_FR.ui \
         c2bEditor.ui \
         c2bPdfImport.ui \
         c2bPostprocess.ui \
         c2bRL_webSearchSettings.ui \
         c2bReferenceList.ui \
         c2bSaveRegExp.ui \
         c2bSearchInFiles.ui \
         c2bSearchInFilesPattern.ui \
         c2bSearchInFilesPatternEdit.ui \
         cb2Bib.ui \
         findDialog.ui
RESOURCES += cb2bib.qrc 
HEADERS += authorString.h \
           bibParser.h \
           bookmarkPlugin.h \
           c2b.h \
           c2bApproximatePattern.h \
           c2bBibHighlighter.h \
           c2bBibParser.h \
           c2bBibPreparser.h \
           c2bBibPreparser_Log.h \
           c2bBibSearcher.h \
           c2bBibSearcherCache.h \
           c2bCiteIDLineEdit.h \
           c2bCiteIDMaker.h \
           c2bClipEdit.h \
           c2bClipboard.h \
           c2bColors.h \
           c2bConfigure.h \
           c2bConfigure_FR.h \
           c2bEditor.h \
           c2bFileDialog.h \
           c2bHighlighter.h \
           c2bLineEdit.h \
           c2bNetwork.h \
           c2bNetworkQuery.h \
           c2bNetworkQueryInfo.h \
           c2bPdfImport.h \
           c2bPostprocess.h \
           c2bPreprocess.h \
           c2bREHighlighter.h \
           c2bRL_webSearchSettings.h \
           c2bReferenceList.h \
           c2bSaveRegExp.h \
           c2bSearchInFiles.h \
           c2bSearchInFilesPattern.h \
           c2bSettings.h \
           c2bTextBrowser.h \
           c2bTextEdit.h \
           c2bUtils.h \
           cb2Bib.h \
           cb2Bib_par.h \
           clipboardPoll.h \
           findDialog.h \
           journalDB.h \
           monthDB.h
SOURCES += authorString.cpp \
           bibParser.cpp \
           bookmarkPlugin.cpp \
           c2b.cpp \
           c2bApproximatePattern.cpp \
           c2bBibHighlighter.cpp \
           c2bBibParser.cpp \
           c2bBibPreparser.cpp \
           c2bBibPreparser_Log.cpp \
           c2bBibSearcher.cpp \
           c2bBibSearcherCache.cpp \
           c2bCiteIDLineEdit.cpp \
           c2bCiteIDMaker.cpp \
           c2bClipEdit.cpp \
           c2bClipboard.cpp \
           c2bColors.cpp \
           c2bConfigure.cpp \
           c2bConfigure_FR.cpp \
           c2bEditor.cpp \
           c2bFileDialog.cpp \
           c2bHighlighter.cpp \
           c2bLineEdit.cpp \
           c2bNetwork.cpp \
           c2bNetworkQuery.cpp \
           c2bNetworkQueryInfo.cpp \
           c2bPdfImport.cpp \
           c2bPostprocess.cpp \
           c2bPreprocess.cpp \
           c2bREHighlighter.cpp \
           c2bRL_webSearchSettings.cpp \
           c2bReferenceList.cpp \
           c2bSaveRegExp.cpp \
           c2bSearchInFiles.cpp \
           c2bSearchInFilesPattern.cpp \
           c2bSettings.cpp \
           c2bTextBrowser.cpp \
           c2bTextEdit.cpp \
           c2bUtils.cpp \
           cb2Bib.cpp \
           clipboardPoll.cpp \
           findDialog.cpp \
           journalDB.cpp \
           main.cpp \
           monthDB.cpp
TEMPLATE = app
QT += network
CONFIG +=
TARGET = cb2bib
DESTDIR = ../bin
DEPENDPATH += .
QMAKE_CXXFLAGS_DEBUG += -DCB2BIB_DEBUG
DEFINES += CB_POLL
!win32 {
    INSTALLS += cb2bibdata \
  icons \
  desktop \
  target \
  script
    target.path = /usr/bin
    script.files += ../c2btools/dl_cb2bib
    script.path = /usr/bin
    desktop.files += ../cb2bib.desktop \
    ../dl_cb2bib.desktop
    desktop.path = /usr/share/applications
    icons.files += ../src/icons/cb2bib.png
    icons.path = /usr/share/pixmaps
    cb2bibdata.files += ../AUTHORS \
    ../COPYRIGHT \
    ../LICENSE \
    ../data \
    ../c2btools \
    ../testPDFImport
    cb2bibdata.path = /usr/share/cb2bib
}
disable_cbpoll {
    message(Building without clipboardPoll.)
    HEADERS -= clipboardPoll.h
    SOURCES -= clipboardPoll.cpp
    DEFINES -= CB_POLL
}
win32 {
    HEADERS -= clipboardPoll.h
    SOURCES -= clipboardPoll.cpp
    DEFINES -= CB_POLL
    RC_FILE = ../cb2bib.rc
}
macx {
    HEADERS -= clipboardPoll.h
    SOURCES -= clipboardPoll.cpp
    DEFINES -= CB_POLL
    ICON = ../src/icons/cb2bib.icns
    INSTALLS -= desktop icons
}

INCLUDEPATH += .

