/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#include "c2bConfigure_FR.h"


#include <QTreeWidgetItem>



c2bConfigure_FR::c2bConfigure_FR(QTreeWidgetItem* item, QWidget* parent) : QDialog(parent)
{
    ui.setupUi(this);
    itemFindReplace = item;
    ui.lineEditFind->setText(itemFindReplace->text(0));
    ui.lineEditReplace->setText(itemFindReplace->text(1));
    ui.lineEditDescription->setText(itemFindReplace->text(2));
    ui.lineEditFind->setFocus();
}

c2bConfigure_FR::~c2bConfigure_FR()
{}


void c2bConfigure_FR::reject()
{
    QDialog::reject();
}

void c2bConfigure_FR::accept()
{
    itemFindReplace->setText(0, ui.lineEditFind->text());
    itemFindReplace->setText(1, ui.lineEditReplace->text());
    itemFindReplace->setText(2, ui.lineEditDescription->text());
    QDialog::accept();
}
