/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef C2BSAVEREGEXP_H
#define C2BSAVEREGEXP_H

#include "ui_c2bSaveRegExp.h"

#include <QDialog>


class c2bREHighlighter;


class c2bSaveRegExp : public QDialog
{
    Q_OBJECT

public:
    c2bSaveRegExp(QString& rx, QWidget* parent = 0);
    ~c2bSaveRegExp();


signals:
    void savePatternInfo(const QString& rx, const QString& rxname);


public slots:
    void accept();
    void help();


private:
    c2bREHighlighter* reS;
    Ui::c2bSaveRegExp ui;

};

#endif
