/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef C2BSEARCHINFILESPATTERN_H
#define C2BSEARCHINFILESPATTERN_H

#include "ui_c2bSearchInFilesPattern.h"

#include <QWidget>


const int ITEMS_IN_SEARCH_PATTERN = 6;

class QTreeWidgetItem;

class c2bSearchInFilesPattern : public QWidget
{

    Q_OBJECT

public:
    c2bSearchInFilesPattern(QWidget* parent = 0);
    ~c2bSearchInFilesPattern();

    bool isAvailable();
    const QStringList pattern();
    void clear();
    void setPattern(QTreeWidgetItem* newPattern);
    void setText(const QString& text);


signals:
    void patternAvailable(bool available);
    void patternEdited();


public slots:
    void setFocus();


private slots:
    void showYearScope(const QString& scope);
    void textEdited();


private:
    Ui::c2bSearchInFilesPattern ui;

};

#endif
