/***************************************************************************
 *   Copyright (C) 2004-2008 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.9.4
 *   See the LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef JOURNALDB_H
#define JOURNALDB_H

#include <QString>
#include <QStringList>


/*!
    Database of Journal Names

    @author Pere Constans
*/
class journalDB
{

public:
    journalDB(const QString &dbfile);
    ~journalDB();

    int nitems;
    QStringList JAbbrev_simp;
    QStringList JAbbrev_simp_w;
    QStringList JExtended_simp;
    QString retrieveFull(const QString& JQuery);
    QString retrieve(QString JQuery);


private:
    QStringList JCode;
    QStringList JAbbrev;
    QStringList JExtended;

};

#endif
